Name:      perl-IPC-SysV
Version:   2.09
Release:   2
Summary:   Object class for SysV as well as the SysV IPC constants and system calls
License:   Artistic-1.0-Perl or GPL-1.0-or-later
URL:       https://metacpan.org/release/IPC-SysV
Source0:   https://cpan.metacpan.org/authors/id/M/MH/MHX/IPC-SysV-%{version}.tar.gz

BuildRequires: gcc perl(ExtUtils::MakeMaker) perl-interpreter perl-generators
#for test
BuildRequires: perl(Test::More) >= 0.45 perl-devel
Requires:      perl(:MODULE_COMPAT_%(perl -V:version | cut -d"'" -f 2)) perl(DynaLoader)

%description
The SysV-IPC contains three packages

 IPC::Semaphore
 - Provides an object interface to using SysV IPC semaphores

 IPC::Msg
 - Provides an object interface to using SysV IPC messages

 IPC::SysV
 - Provides the constants required to use the system SysV IPC calls.

Currently there is not object support for SysV shared memory, but
SysV::SharedMem is a project for the future.

%package_help

%prep
%autosetup -n IPC-SysV-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}

%check
make test TEST_VERBOSE=1

%files
%doc README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/IPC/*

%files help
%doc Changes TODO
%{_mandir}/man3/*

%changelog
* Tue Oct 25 2022 dongyuzhen <dongyuzhen@h-partners.com> - 2.09-2
- Rebuild for next release

* Tue Jan 26 2021 shixuantong <shixuantong@huawei.com> - 2.09-1
- upgrade version to 2.09

* Fri Jul 24 2020 xinghe <xinghe1@huawei.com> - 2.08-1
- update version to 2.08

* Wed May 13 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.07-6
- Add build requires of perl-devel

* Fri Aug 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.07-5
- Package init
